| Home | Libraries | People | FAQ | More

##### BOOST_GEOMETRY_REGISTER_MULTI_POINT

Macro to register a multi_point.

###### Description

The macro BOOST_GEOMETRY_REGISTER_MULTI_POINT registers a multi_point such that it is recognized by Boost.Geometry and that Boost.Geometry functionality can used with the specified type. The multi_point may contain template parameters, which must be specified then.

###### Synopsis

    #define BOOST_GEOMETRY_REGISTER_MULTI_POINT(MultiPoint)

###### Parameters

Name | Description
--- | ---
MultiPoint | multi_point type to be registered

###### Header

`#include <boost/geometry/multi/geometries/register/multi_point.hpp>`

###### Example

Show the use of the macro BOOST_GEOMETRY_REGISTER_MULTI_POINT

    #include <iostream>
    #include <boost/geometry.hpp>
    #include <boost/geometry/geometries/adapted/boost_tuple.hpp>
    #include <boost/geometry/multi/geometries/register/multi_point.hpp>
    #include <boost/geometry/multi/io/wkt/wkt.hpp>

    typedef boost::tuple<float, float> point_type;

    BOOST_GEOMETRY_REGISTER_BOOST_TUPLE_CS(cs::cartesian)
    BOOST_GEOMETRY_REGISTER_MULTI_POINT(std::deque< ::point_type >)

    int main()
    {
        // Normal usage of std::
        std::deque<point_type> multi_point;
        multi_point.push_back(point_type(1, 1));
        multi_point.push_back(point_type(3, 2));

        // Usage of Boost.Geometry
        std::cout << "WKT: "  << boost::geometry::wkt(multi_point) << std::endl;

        return 0;
    }

Output:

    WKT: MULTIPOINT((1 1),(3 2))